/*
	wavelet1.h
	macro define section of wavelet image resize program.
	Copyright(c) & programmed 2004 by NAKATA H. (webmaster@nakata-jp.org)
	$Header: /home/nakata/programs/photo/wavelet2/RCS/wavelet2.h,v 1.1 2004/05/27 08:06:54 nakata Exp $

	this program comes with ABSOLUTELY NO WARRANTY.
	This is free software. You can redistribute, customize and sell it.
 */
#ifdef WIN32
#include <winsock2.h>
#pragma comment(lib, "ws2_32.lib")
#else
#include <netinet/in.h>
#endif

#define	MYNAME	"wavelet2"
#ifndef	TRUE
#define	TRUE			(-1)	/* boolean like value */
#endif
#ifndef	FALSE
#define	FALSE			0	/* boolean like value */
#endif

#define	INT_TYPE	short

#define	MAX_UCHAR	255

#define	CPU_IS_BIGENDIAN	(ntohs(0xaa55) == 0xaa55)
#define	htois(data)		(CPU_IS_BIGENDIAN ? \
				 (((data & 0xff) << 8) \
				  | ((data >> 8) & 0xff)) \
				 : data)
#define	itohs(data)		htois(data)
#define	htoil(data)		(CPU_IS_BIGENDIAN ? \
				 (((data & 0xff) << 24) \
				  | ((data & 0xff00) << 8) \
				  | ((data >> 8) & 0xff00) \
				  | ((data >> 24) & 0xff)) \
				 : data)
#define	itohl(data)		htoil(data)

#define	IMAGE_WIDTH	512
#define	IMAGE_HEIGHT	512
#define	TERMINAL_WIDTH	32

/* End Of File	**************************************************************/
